ChangeSet 1.1371.759.14, 2004/04/23 16:18:24-07:00, baldrick@free.fr

[PATCH] USB usbfs: fix up proc_setconfig

The semaphore is now taken in the caller.

 devio.c |    2 --
 1 files changed, 2 deletions(-)


 drivers/usb/core/devio.c |    2 --
 1 files changed, 2 deletions(-)


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Fri May 14 15:33:44 2004
+++ b/drivers/usb/core/devio.c	Fri May 14 15:33:44 2004
@@ -763,7 +763,6 @@
 	if (get_user(u, (unsigned int __user *)arg))
 		return -EFAULT;
 
-	down(&ps->dev->serialize);
  	actconfig = ps->dev->actconfig;
  
  	/* Don't touch the device if any interfaces are claimed.
@@ -799,7 +798,6 @@
 		else
 			status = usb_set_configuration(ps->dev, u);
 	}
-	up(&ps->dev->serialize);
 
 	return status;
 }
